#!/usr/bin/perl -w

  # use perl;
  use strict;

  my $U = `uptime`;
  if ($U =~ /days/)   { ($U) = ($U =~ m/^.*up\ (.*\:[0-9]{2}),/);   }
  elsif ($U =~ /min/) { ($U) = ($U =~ m/^.*up\ (.*[0-9]+\ min),/);  }
  else                { ($U) = ($U =~ m/^.*up\ \ (.*\:[0-9]{2}),/); }

  my %DISP; $DISP{'cputotal'} = $DISP{'cpuuser'} = 0;

  open IOSTAT, "iostat -c 1 5 |";
    while (my $LINE = <IOSTAT>) {
      if ($LINE =~ m/^avg\-cpu/) {
        my (@TMP); $LINE = <IOSTAT>; chomp $LINE; @TMP = split /\s+/, $LINE;
        $DISP{'cputotal'} += $TMP[4];
        $DISP{'cpuuser'}  += $TMP[1];
      }
    }
  close IOSTAT;

  # Return the average.
  $DISP{'cputotal'} /= 5;
  $DISP{'cpuuser'}  /= 5;
  $DISP{'cputotal'}  = 100 - $DISP{'cputotal'};

  print "$DISP{'cputotal'}\n$DISP{'cpuuser'}\n$U\nXXX\n";

  # Exit quietly.
  exit 0
