#!/usr/bin/perl -w

  # use perl;
  use Getopt::Std qw( getopts );
  use strict;

  my ($UPTIME, %opts); getopts('i:', \%opts);

  exit -1 if (! $opts{'i'});

  my $U = `uptime`;
  if ($U =~ /days/)   { ($U) = ($U =~ m/^.*up\ (.*\:[0-9]{2}),/);   }
  elsif ($U =~ /min/) { ($U) = ($U =~ m/^.*up\ (.*[0-9]+\ min),/);  }
  else                { ($U) = ($U =~ m/^.*up\ \ (.*\:[0-9]{2}),/); }

  open DEV, "/proc/net/dev";
    while (my $LINE = <DEV>) {
      my (@TMP); @TMP = split /[\:\ ]+/, $LINE;

      if ($TMP[1] eq $opts{'i'}) {
        print "$TMP[2]\n$TMP[10]\n$U\nXXX\n";
      }
  }

  exit 0;
