#!/usr/bin/perl -w

  # use perl;
  use strict;

  my $U = `uptime`;
  if ($U =~ /days/)   { ($U) = ($U =~ m/^.*up\ (.*\:[0-9]{2}),/);   }
  elsif ($U =~ /min/) { ($U) = ($U =~ m/^.*up\ (.*[0-9]+\ min),/);  }
  else                { ($U) = ($U =~ m/^.*up\ \ (.*\:[0-9]{2}),/); }

  my %DISP; $DISP{'cputemp'} = $DISP{'systemp'} = 0;

  open SENSORS, "sensors -f 2>&1|";
    while (my $LINE = <SENSORS>) {
      my (@TMP); @TMP = split /[\:\ ]+/, $LINE;

      if (($TMP[0] eq 'CPU') && ($TMP[1] eq 'Temp')) {
        ($DISP{'cputemp'}) = ($TMP[2] =~ m/([0-9]+\.[0-9]+)/);
      }

      elsif (($TMP[0] eq 'SYS') && ($TMP[1] eq 'Temp')) {
        ($DISP{'systemp'}) = ($TMP[2] =~ m/([0-9]+\.[0-9]+)/);
      }
  }
  close SENSORS;

  print "$DISP{'cputemp'}\n$DISP{'systemp'}\n$U\nXXX\n";

  exit 0;
